
QGIS Application - Bug report #15265

Built-in tools missing from Vector menu

2016-07-12 01:42 PM - Eric Brelsford

Status: Closed

Priority: Normal

Assignee:

Category: Vectors

Affected QGIS version:2.16.0 Regression?: No

Operating System: Linux (Ubuntu) Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 23201

Description

Upon upgrading to QGIS 2.16, I no longer have any of the built-in tool in the Vector menu. The only entries in the menu are related to

plugins that I have installed. See the attached screenshot for an example of what this looks like.

Reproduce:

    -  Open QGIS

    -  Open Vector menu

History

#1 - 2016-07-13 03:23 AM - dr -

You have to enable Processing plugin.

#2 - 2016-07-13 05:21 AM - Eric Brelsford

dr - wrote:

You have to enable Processing plugin.

Processing is enabled. I still do not have the built-in tools in the Vector menu.

#3 - 2016-07-13 06:57 AM - Giovanni Manghi

- Status changed from Open to Feedback

Eric Brelsford wrote:

dr - wrote:

You have to enable Processing plugin.

Processing is enabled. I still do not have the built-in tools in the Vector menu.

try a clean environment, removing (temporarily) the ~/.qgis2 folder and eventually also ~/.config/QGIS
#4 - 2016-07-13 07:30 AM - Eric Brelsford

Giovanni Manghi wrote:

try a clean environment, removing (temporarily) the ~/.qgis2 folder and eventually also ~/.config/QGIS

Okay, removing ~/.qgis2 did it. Thanks Giovanni!

I narrowed it down to this: there was a plugin (the old plugin?) called `processing` in ~/.qgis2/plugins/. Removing that fixed it.

Should this be part of the upgrade process? I don't remember seeing any notes about it.

#5 - 2016-07-13 07:36 AM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to invalid

I narrowed it down to this: there was a plugin (the old plugin?) called `processing` in ~/.qgis2/plugins/. Removing that fixed it.

Should this be part of the upgrade process? I don't remember seeing any notes about it.

yes, it is known to be an issue: at some point we shipped Processing updates using the plugin manager. This versions were placed in the plugin folder and

then masked the more recent versions shipped with new versions of QGIS. I think that the main Processing developers decided to stop shipping

Processing updates this way to avoid this kind of confusions.

#6 - 2016-07-13 07:42 AM - Eric Brelsford

Got it. Thanks again for your help, glad to have a Vector menu again!

#7 - 2016-07-14 10:43 AM - Andre Joost

- Status changed from Closed to Reopened

Still strange: Using my German locale, I now have two vector menus. The first one only with entries from plugins, and the second one behind the Help

menu, with the GDAL functions. Overriding the locale with US English, all is back together under the first Vector Menu.

Tested on Ubuntu and Windows. Under Ubuntu, they even have two shortcuts: V for the first and o for the second.

Removing the .qgis2 folder did not help.

#8 - 2016-07-18 01:55 AM - A. Egberts

Eric Brelsford wrote:

Giovanni Manghi wrote:

try a clean environment, removing (temporarily) the ~/.qgis2 folder and eventually also ~/.config/QGIS
Okay, removing ~/.qgis2 did it. Thanks Giovanni!

I narrowed it down to this: there was a plugin (the old plugin?) called `processing` in ~/.qgis2/plugins/. Removing that fixed it.

Should this be part of the upgrade process? I don't remember seeing any notes about it.

Uninstall the Processing plugin is the solution!

#9 - 2016-08-03 11:53 PM - landry Landry Breuil

Fwiw, experienced the same bug/behaviour as reported by Andre Joost, removed processing plugin from my profiles, and now i have two 'vector' menus:

one with stuff from extensions (ie osm, spatial request) with the V mnemonic/shortcut, and a second one with the tools from processing with the o

mnemonic.

Either way, users shouldnt have to restart from a clean profile, that's a huge hammer....

#10 - 2016-08-05 05:35 AM - Casper Børgesen

For our users it was easy to solve by uninstalling the processing plugin using the plugin manager. The difficult part was to explain why they should uninstall

the plugin (since they obviously wanted the plugin) and afterwards explain why its still there even though they just uninstalled it.

To further complicate the explaining, if a user first removes the 'x' next to the processing plugin thinking that they will remove the plugin this way, then

uninstall it using the uninstall button and finally discover that it doesn't work. Of course putting back the 'x' next to the processing plugin will solve it, but

they should put back the 'x' next to a plugin they just removed?!

#11 - 2016-08-08 01:43 AM - Harrissou Santanna

Yes, this isn't really easy to understand.

Couldn't it be possible to automatically throw away any existing processing plugin (in ~/.qgis2 folder) when someone is upgrading to QGIS 2.16 (in the

install process)?

#12 - 2016-08-16 01:17 AM - Andrea Danamaita

- File test.jpg added

Hi all, after my update to 2.16 I noticed the absence from the Vector menù of geoprocessing tools. I followed this thread to set them visible again but now I

can't do buffer using selected feature only beacuse is changed the interface. Any suggestion?

Thanks in advance.

UPDATE: It seems to work, when features are selected the buffer tool operates on them only. I'll do some tests.

#13 - 2016-08-22 06:00 AM - Adrian Klink

Andre Joost wrote:

Still strange: Using my German locale, I now have two vector menus. The first one only with entries from plugins, and the second one behind the
Help menu, with the GDAL functions. Overriding the locale with US English, all is back together under the first Vector Menu.

Tested on Ubuntu and Windows. Under Ubuntu, they even have two shortcuts: V for the first and o for the second.

Removing the .qgis2 folder did not help.

I can confirm, in German locale, there are now two entries for 'Vector' ('Vektor'), the former 'fTools' items from 'Vector' which have been moved to

'Processing' are now placed right to 'help'. This was confusing, because first I missed the items in 'Vector', then I followed the instructions here (Trying to

uninstall processing first, then removing '.qgis2' drawer), but after restarting I wouldn't have found the entries without this 'hint' of the second 'Vector' entry

(nobody expects to find the items in a duplicate 'Vector'). Also it is confusing, that Plugin 'Processing', which can not be uninstalled due to its core status

now, has version 2.12.99 (I would expect 2.16 as it is a core part of this version, so I first thought uninstall has failed, but there was no drawer 'processing'

in '.qgis2').

#14 - 2017-05-01 01:05 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#15 - 2018-12-14 04:11 PM - Christian Nielsen

Casper Børgesen wrote:

For our users it was easy to solve by uninstalling the processing plugin using the plugin manager. The difficult part was to explain why they should

uninstall the plugin (since they obviously wanted the plugin) and afterwards explain why its still there even though they just uninstalled it.

To further complicate the explaining, if a user first removes the 'x' next to the processing plugin thinking that they will remove the plugin this way, then

uninstall it using the uninstall button and finally discover that it doesn't work. Of course putting back the 'x' next to the processing plugin will solve it,

but they should put back the 'x' next to a plugin they just removed?!

Bug still present in 3.4.1. 

Workaround by putting an X for "processing" in the plugins manager.

#16 - 2019-02-11 07:04 PM - garret w

Christian Nielsen wrote:

Casper Børgesen wrote:

For our users it was easy to solve by uninstalling the processing plugin using the plugin manager. The difficult part was to explain why they should

uninstall the plugin (since they obviously wanted the plugin) and afterwards explain why its still there even though they just uninstalled it.

To further complicate the explaining, if a user first removes the 'x' next to the processing plugin thinking that they will remove the plugin this way,

then uninstall it using the uninstall button and finally discover that it doesn't work. Of course putting back the 'x' next to the processing plugin will

solve it, but they should put back the 'x' next to a plugin they just removed?!

Bug still present in 3.4.1. 

Workaround by putting an X for "processing" in the plugins manager.

I am getting this bug in 3.4 (Ubuntu) as well. I do not understand the workaround mentioned by Casper. Can someone clarify?
#17 - 2019-02-11 07:06 PM - Giovanni Manghi

- Description updated

I am getting this bug in 3.4 (Ubuntu) as well. I do not understand the workaround mentioned by Casper. Can someone clarify?

check in the plugin manager if you have "processing" activated.

#18 - 2019-02-11 07:25 PM - garret w

Giovanni Manghi wrote:

I am getting this bug in 3.4 (Ubuntu) as well. I do not understand the workaround mentioned by Casper. Can someone clarify?

check in the plugin manager if you have "processing" activated.

Hi Giovanni, this matter is probably related to my other issue of the processing plugin crashing QGIS (https://issues.qgis.org/issues/21102). So far Ive tried

the new profile but processing is still crashing. Should I try re-installing?

#19 - 2019-02-11 08:06 PM - Giovanni Manghi

Hi Giovanni, this matter is probably related to my other issue of the processing plugin crashing QGIS (https://issues.qgis.org/issues/21102). So far

Ive tried the new profile but processing is still crashing. Should I try re-installing?

I would first try to wipe any trace of qgis configurations/folder in your ~ (home) folder, for example /home/yourusername/.local/share/QGIS

#20 - 2019-02-11 08:07 PM - Giovanni Manghi

- Status changed from Reopened to Closed

Anyway this ticket was filed against a now dead verison of QGIS, this must be eventually be refiled against 3.4.4/master.

#21 - 2019-02-11 08:59 PM - garret w

Giovanni Manghi wrote:

Anyway this ticket was filed against a now dead verison of QGIS, this must be eventually be refiled against 3.4.4/master.

Ok, I will do what you've mentioned above, as well as file a new ticket (and reference this conversation).

Thanks!
